> ## Documentation Index
> Fetch the complete documentation index at: https://intunedhq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AuthSessions

> Get all AuthSessions in a Project.



## OpenAPI

````yaml get /{workspaceId}/projects/{projectName}/auth-sessions
openapi: 3.1.0
info:
  title: Intuned Client
  version: 0.0.2
  description: Programmatically trigger automations, manage Jobs, and handle AuthSessions.
  termsOfService: https://intuned.ai/terms
  contact:
    email: founders@intunedhq.com
servers:
  - url: https://app.intuned.io/api/v1/workspace
    description: Base URL for Intuned API.
security:
  - api_key: []
tags:
  - name: projects.jobs
    description: Project Jobs API
  - name: projects.jobs.runs
    description: Project JobRuns API
  - name: projects.runs
    description: Run APIs
  - name: projects.authSessions
    description: Manage AuthSessions
  - name: projects.authSessions.validate
    description: Validate AuthSession
  - name: projects.authSessions.create
    description: Create AuthSession
  - name: projects.authSessions.update
    description: Update AuthSession
externalDocs:
  description: Find out more about Intuned
  url: https://intunedhq.com/docs/
paths:
  /{workspaceId}/projects/{projectName}/auth-sessions:
    get:
      tags:
        - projects.authSessions
      summary: Get AuthSessions
      description: Get all AuthSessions in a Project.
      operationId: getAuthSessions
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          description: >-
            Your workspace ID. [How to find
            it](/main/03-how-to/manage/manage-workspace#how-to-get-your-workspace-id)?
          example: 123e4567-e89b-12d3-a456-426614174000
          in: path
          name: workspaceId
          x-speakeasy-globals-hidden: true
        - schema:
            type: string
          required: true
          description: The name you assigned when creating the Project.
          example: my-project
          in: path
          name: projectName
      responses:
        '200':
          description: List of AuthSessions
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      minLength: 3
                      pattern: ^[a-zA-Z0-9-(),_]+$
                      description: The unique identifier for the authentication session
                      example: auth-session-123
                    type:
                      type: string
                      enum:
                        - CREDENTIALS
                        - RECORDER
                        - RUNTIME
                    status:
                      type: string
                      enum:
                        - PENDING
                        - READY
                        - EXPIRED
                  required:
                    - id
                    - type
                    - status
              examples:
                success:
                  summary: List of AuthSessions
                  value:
                    - id: auth-session-123
                      type: CREDENTIALS
                      status: READY
                    - id: auth-session-456
                      type: RUNTIME
                      status: PENDING
      x-codeSamples:
        - lang: typescript
          label: getAuthSessions
          source: |
            import { IntunedClient } from "@intuned/client";

            const client = new IntunedClient({
              workspaceId: "123e4567-e89b-12d3-a456-426614174000",
              apiKey: process.env["INTUNED_API_KEY"] ?? "",
            });

            async function run() {
              const result = await client.projects.authSessions.all("my-project");

              console.log(result);
            }

            run();
        - lang: python
          label: Python (SDK)
          source: |-
            from intuned_client import IntunedClient
            import os


            with IntunedClient(
                workspace_id="123e4567-e89b-12d3-a456-426614174000",
                api_key=os.getenv("INTUNED_API_KEY", ""),
            ) as client:

                res = client.projects.auth_sessions.list(
                    project_name="my-project",
                )

                print(res)
components:
  securitySchemes:
    api_key:
      type: apiKey
      description: >-
        API Key used to authenticate your requests. [How to create
        one](/main/03-how-to/manage/manage-api-keys).
      in: header
      name: x-api-key

````